<?php

/** @var \Laravel\Lumen\Routing\Router $router */

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$router->get('/', function () use ($router) {
    return $router->app->version();
});


$router->get('/classlist', 'AttendanceController@classlist');
$router->post('/classadd', 'AttendanceController@classadd');
$router->post('/classupdate', 'AttendanceController@classupdate');
$router->post('/classdelete', 'AttendanceController@classDelete');

$router->get('/classes[/{user_id}]', 'ClassController@GetClassLilst');
$router->post('/searchclass', 'ClassController@Search');

//this route for class list by studnet id
$router->get('/student/classes[/{std_id}]', 'StudentController@StudentClass');
$router->post('/joinclass', 'StudentController@JoinClass');
$router->post('/updatejoin/{join_id}', 'StudentController@UpdateJoin');
$router->post('/attendance', 'StudentController@Attendance');

//this route for student list by class id
$router->get('/class/students[/{class_id}]', 'StudentController@ClassStudents');

//student attendance
$router->get('/daily/attendance[/{class_id}]', 'StudentController@DailyAttendance');
$router->get('/monthly/attendance[/{class_id}/{year}/{month}]', 'StudentController@MonthlyAttendance');

$router->post('/signup', 'SignUpController@Signup');
$router->post('/userupdate/{user_id}', 'SignUpController@Update');
$router->post('/login', 'LoginController@Index');